Package org.linphone.mediastream.video.capture

# Enum Class CaptureTextureView.DisplayMode

java.lang.Object
java.lang.Enum<CaptureTextureView.DisplayMode>
org.linphone.mediastream.video.capture.CaptureTextureView.DisplayMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CaptureTextureView.DisplayMode>`, `Constable`

Enclosing class:
  CaptureTextureView

public static enum CaptureTextureView.DisplayMode extends Enum<CaptureTextureView.DisplayMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLACK_BARS`
`HYBRID`
`OCCUPY_ALL_SPACE`

## Method Summary

Modifier and Type
Method
Description
`static CaptureTextureView.DisplayMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CaptureTextureView.DisplayMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BLACK_BARS

public static final CaptureTextureView.DisplayMode BLACK_BARS

### OCCUPY_ALL_SPACE

public static final CaptureTextureView.DisplayMode OCCUPY_ALL_SPACE

### HYBRID

public static final CaptureTextureView.DisplayMode HYBRID

## Method Details

### values

public static CaptureTextureView.DisplayMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CaptureTextureView.DisplayMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null